# Generated by Django 2.2.6 on 2019-11-01 12:50

import django.db.models.deletion
import django.utils.timezone
import picklefield.fields
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = []

    operations = [
        migrations.CreateModel(
            name="Task",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("function", models.CharField(max_length=1024)),
                (
                    "args",
                    picklefield.fields.PickledObjectField(
                        blank=True, default=list, editable=False
                    ),
                ),
                (
                    "kwargs",
                    picklefield.fields.PickledObjectField(
                        blank=True, default=dict, editable=False
                    ),
                ),
                ("priority", models.IntegerField(default=0)),
                ("created", models.DateTimeField(default=django.utils.timezone.now)),
                ("started", models.DateTimeField(blank=True, null=True)),
                ("finished", models.DateTimeField(blank=True, null=True)),
                (
                    "state",
                    models.CharField(
                        choices=[
                            ("QUEUED", "QUEUED"),
                            ("PROCESSING", "PROCESSING"),
                            ("FAILED", "FAILED"),
                            ("SUCCEEDED", "SUCCEEDED"),
                            ("INVALID", "INVALID"),
                        ],
                        default="QUEUED",
                        max_length=32,
                    ),
                ),  # NOQA
                (
                    "result",
                    picklefield.fields.PickledObjectField(
                        blank=True, editable=False, null=True
                    ),
                ),
                ("stdout", models.TextField(blank=True, default="")),
                ("stderr", models.TextField(blank=True, default="")),
            ],
        ),
        migrations.CreateModel(
            name="Schedule",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("name", models.CharField(max_length=1024)),
                ("function", models.CharField(max_length=1024)),
                (
                    "args",
                    picklefield.fields.PickledObjectField(
                        blank=True, default=list, editable=False
                    ),
                ),
                (
                    "kwargs",
                    picklefield.fields.PickledObjectField(
                        blank=True, default=dict, editable=False
                    ),
                ),
                (
                    "last_check",
                    models.DateTimeField(default=django.utils.timezone.now, null=True),
                ),
                ("catch_up", models.BooleanField(default=False)),
                ("cron", models.CharField(max_length=1024)),
                (
                    "last_run",
                    models.ForeignKey(
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        to="toosimpleq.Task",
                    ),
                ),
            ],
        ),
    ]
